#
# spec file for package libesmtp (Version 1.0.4)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libesmtp
BuildRequires:  openssl-devel
Url:            http://www.stafford.uklinux.net/libesmtp/
License:        GPLv2+ ; LGPLv2.1+
Group:          Development/Libraries/C and C++
Summary:        A Library for Posting Electronic Mail
Version:        1.0.4
Release:        158.2.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2
Patch0:         libesmtp-removedecls.diff
Patch1:         libesmtp-1.0.4-bloat.patch
Patch2:         libesmtp-1.0.4-multiple-cc.patch
Patch3:         libesmtp-commonname.diff

%description
libESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim. It may be used as part of a Mail User Agent (MUA) or another
program that must be able to post electronic mail but where mail
functionality is not that program's primary purpose.



Authors:
--------
    Brian Stafford <brian@stafford.uklinux.net>

%package devel
License:        GPLv2+ ; LGPLv2.1+
Summary:        A Library for Posting Electronic Mail
Group:          Development/Libraries/C and C++
Requires:       libesmtp = %{version}

%description devel
libESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim. It may be used as part of a Mail User Agent (MUA) or another
program that must be able to post electronic mail but where mail
functionality is not that program's primary purpose.



Authors:
--------
    Brian Stafford <brian@stafford.uklinux.net>

%prep
%setup -q
%patch0
%patch1
%patch2 -p1
%patch3

%build
autoreconf -fi
%configure --disable-static --with-pic \
		--enable-ntlm 		\
		--enable-etrn
%{__make} %{?jobs:-j%jobs}

%install
make DESTDIR=%{buildroot} install
#uses dlsym not ltdl ..useless files
rm -rf %{buildroot}%{_libdir}/esmtp-plugins/*a
rm -rf %{buildroot}%{_libdir}/*a

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING
%dir %{_libdir}/esmtp-plugins
%{_libdir}/esmtp-plugins/*so*
%{_libdir}/libesmtp.*so.*

%files devel
%defattr(-,root,root)
%{_bindir}/libesmtp-config
%{_includedir}/*.h
%{_libdir}/libesmtp.*so

%changelog
* Wed Apr 28 2010 freitag@novell.com
- applied patch for fixed commonName handling (bnc #585393)
* Wed Aug  6 2008 bwalle@suse.de
- allow multiple calls of smtp_set_header() for Cc and Bcc headers
- disable lwres because we don't want to have a daemon (the lwresd)
  running just for address resolution
* Tue Sep  4 2007 mrueckert@suse.de
- remove postfix from the buildrequires
- do not package generic INSTALL file
* Tue Sep  4 2007 crrodriguez@suse.de
- fix #307257 missing requires of the libesmtp-devel package
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 lmichnovic@suse.cz
- Updated to version 1.0.4
- enabled support for lwres: lwres_includedir.patch; bind-devel added into NFB
- enabled support for ntlm, etrn
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Mon Sep 26 2005 mls@suse.de
- move .so symlink into devel package
- make devel package require base package
* Sun May  8 2005 mmj@suse.de
- Don't declare things we have for sure on linux
* Fri Mar 26 2004 mmj@suse.de
- Add postfix to # neededforbuild
* Thu Feb 19 2004 sbrabec@suse.cz
- Updated to version 1.0.2.
* Wed Jul 30 2003 hhetter@suse.de
- initial SuSE package
